Subject: Re: bug#75182: 29.4; eshell ls exit code

From: Jim Porter <[email-masked]>
Date: Sat, 11 Jan 2025 11:52:35 -0800

On 1/5/2025 7:20 AM, Eli Zaretskii wrote:
>> From: David Wen Riccardi-Zhu <[email-masked]>
>> Date: Sun, 29 Dec 2024 14:33:27 +0000
>>
>> Is it possible to have Emacs eshell/ls return a non-zero exit code for
>> errors? On my system, calling ls .... returns an error code of 2. If I
>> try the same command in eshell, I get similar error text ('No such file
>> or directory'), but the exit code is still 0.
> 
> Jim, can you please look into this?

This ended up being easier than I thought (a one-liner!). Fixed on the 
master branch in aff9261ab2a.

I think we should leave this as-is for the release branch though since 
I'm pretty sure it's been this way for ages, and I don't fully 
understand em-ls.el so there's a small risk I've made a mistake.